package cn.ibizlab.r7.runtime.core.r7rt_base.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;

/**
 * 实体[用户对象组]
 */
public class UserGroup implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 更新人
     */
    private String updateMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateManDirtyFlag;

    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp updateDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean updateDateDirtyFlag;

    /**
     * 备注
     */
    private String memo;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean memoDirtyFlag;

    /**
     * 用户类型
     */
    private String userObjectType;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean userObjectTypeDirtyFlag;

    /**
     * 数据来源
     */
    private String dataSourceType;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean dataSourceTypeDirtyFlag;

    /**
     * 建立人
     */
    private String createMan;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createManDirtyFlag;

    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    private Timestamp createDate;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean createDateDirtyFlag;

    /**
     * 用户对象组名称
     */
    private String userGroupName;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean userGroupNameDirtyFlag;

    /**
     * 是否启用
     */
    private Integer enable;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean enableDirtyFlag;

    /**
     * 用户对象组标识
     */
    private String userGroupId;

    @JsonIgnore
    @JSONField(serialize=false)
    private boolean userGroupIdDirtyFlag;


    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    @JSONField(name="updateman")
    public void setUpdateMan(String updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    @JSONField(name="updatedate")
    public void setUpdateDate(Timestamp updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }
    /**
     * 获取 [备注]
     */
    @JsonProperty("memo")
    @JSONField(name="memo")
    public String getMemo(){
        return this.memo ;
    }

    /**
     * 设置 [备注]
     */
    @JsonProperty("memo")
    @JSONField(name="memo")
    public void setMemo(String memo){
        this.memo = memo ;
        this.memoDirtyFlag = true ;
    }

    /**
     * 获取 [备注]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getMemoDirtyFlag(){
        return this.memoDirtyFlag ;
    }
    /**
     * 获取 [用户类型]
     */
    @JsonProperty("userobjecttype")
    @JSONField(name="userobjecttype")
    public String getUserObjectType(){
        return this.userObjectType ;
    }

    /**
     * 设置 [用户类型]
     */
    @JsonProperty("userobjecttype")
    @JSONField(name="userobjecttype")
    public void setUserObjectType(String userObjectType){
        this.userObjectType = userObjectType ;
        this.userObjectTypeDirtyFlag = true ;
    }

    /**
     * 获取 [用户类型]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUserObjectTypeDirtyFlag(){
        return this.userObjectTypeDirtyFlag ;
    }
    /**
     * 获取 [数据来源]
     */
    @JsonProperty("datasourcetype")
    @JSONField(name="datasourcetype")
    public String getDataSourceType(){
        return this.dataSourceType ;
    }

    /**
     * 设置 [数据来源]
     */
    @JsonProperty("datasourcetype")
    @JSONField(name="datasourcetype")
    public void setDataSourceType(String dataSourceType){
        this.dataSourceType = dataSourceType ;
        this.dataSourceTypeDirtyFlag = true ;
    }

    /**
     * 获取 [数据来源]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getDataSourceTypeDirtyFlag(){
        return this.dataSourceTypeDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    @JSONField(name="createman")
    public void setCreateMan(String createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    @JSONField(name="createdate")
    public void setCreateDate(Timestamp createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }
    /**
     * 获取 [用户对象组名称]
     */
    @JsonProperty("usergroupname")
    @JSONField(name="usergroupname")
    public String getUserGroupName(){
        return this.userGroupName ;
    }

    /**
     * 设置 [用户对象组名称]
     */
    @JsonProperty("usergroupname")
    @JSONField(name="usergroupname")
    public void setUserGroupName(String userGroupName){
        this.userGroupName = userGroupName ;
        this.userGroupNameDirtyFlag = true ;
    }

    /**
     * 获取 [用户对象组名称]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUserGroupNameDirtyFlag(){
        return this.userGroupNameDirtyFlag ;
    }
    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    @JSONField(name="enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    @JSONField(name="enable")
    public void setEnable(Integer enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

    /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }
    /**
     * 获取 [用户对象组标识]
     */
    @JsonProperty("usergroupid")
    @JSONField(name="usergroupid")
    public String getUserGroupId(){
        return this.userGroupId ;
    }

    /**
     * 设置 [用户对象组标识]
     */
    @JsonProperty("usergroupid")
    @JSONField(name="usergroupid")
    public void setUserGroupId(String userGroupId){
        this.userGroupId = userGroupId ;
        this.userGroupIdDirtyFlag = true ;
    }

    /**
     * 获取 [用户对象组标识]脏标记
     */
    @JsonIgnore
    @JSONField(serialize=false)
    public boolean getUserGroupIdDirtyFlag(){
        return this.userGroupIdDirtyFlag ;
    }

}

